package echo;

import inout.In;
import inout.Out;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.InetAddress;
import java.net.Socket;

public class EchoClient {

	public static void main(String[] args) {
		Socket sock = null;
		try {
			Out.print("IP von Echo-Server: ");
			String addrS = In.readWord();
			InetAddress adr = InetAddress.getByName(addrS);
			sock = new Socket(adr, 7);
			OutputStream out = sock.getOutputStream();
			BufferedReader in = new BufferedReader(new InputStreamReader(sock
					.getInputStream()));
			Out.print("Eingabe: ");
			String word = In.readWord();
			while (!word.equals("Ende")) {
				out.write((word + "\n").getBytes());
				String echo = in.readLine();
				Out.print("Echo: ");
				Out.println(echo);
				Out.print("Eingabe: ");
				word = In.readWord();
			}
			Out.println("--> Streamende erreicht!"); 
		} catch (IOException e) {
			System.err.println(e.toString());
		} finally {
			if (sock != null) {
				try {
					sock.close();
				} catch (IOException ign) {
				}
			}
		}
	}

}
