package echo;
import java.net.*;
import java.io.*;

public class SimpleEchoServer {
	
	public static void main(String[] args) {
		ServerSocket echod = null;
		Socket socket = null;
		try {
			System.out.println("Warte auf Verbindung auf Port 7...");
			echod = new ServerSocket(7);
			socket = echod.accept();
			System.out.println("Verbindung hergestellt");
			InputStream in = socket.getInputStream();
			OutputStream out = socket.getOutputStream();

			int c;
			while ((c = in.read()) != -1) {
				out.write((char) c);
				System.out.print((char) c);
			}
			System.out.println("Verbindung beenden");
		} catch (IOException e) {
			System.err.println(e.toString());
		} finally {
			if (socket != null) {
				try {
					socket.close();
				} catch (IOException ioex) {
				}
			}
			if (echod != null) {
				try {
					echod.close();
				} catch (IOException ioex) {
				}
			}
		}
	}
}
