package web;
import inout.In;
import inout.Out;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.InetAddress;
import java.net.Socket;

public class GetWebPage {
	
	public static void main(String[] args) {
		Socket sock = null;
		OutputStream out = null;
		BufferedReader in = null;
		try {
			Out.print("Addresse des Web-Servers: ");
			String addrS = In.readWord();
			InetAddress adr = InetAddress.getByName(addrS);
			sock = new Socket(adr, 80);
			out = sock.getOutputStream();
			in = new BufferedReader(
					new InputStreamReader(sock.getInputStream()));
			// send GET command
			Out.print("Seite: ");
			String page = In.readWord();
			String s = "GET " + page + " HTTP/1.0" + "\r\n\r\n";
			out.write(s.getBytes());
			String line = in.readLine();
			while (line != null) {
				System.out.println(line);
				line = in.readLine();
			}
		} catch (IOException e) {
			System.err.println(e.toString());
		} finally {
			try {
				in.close();
			} catch (Exception ign) {
			}
			try {
				out.close();
			} catch (Exception ign) {
			}
			try {
				sock.close();
			} catch (Exception ign) {
			}
		}
	}
}
